Topic: Install Pro in an angular app

seanflood747 free asked 1 year ago


I have tried two things –

  1. Download MDB5-STANDARD-UI-KIT-Pro-Essential-3.8.0 from my orders – but there is nothing really in the contents – if I open vscode to do an npm install, there is nothing in the package.json file.

  2. I generated a token in git.Created a new angular app. I then tried to clone the repo using - npm install git+https://MY-TOKEN@git.mdbootstrap.com/mdb/angular/mdb5/prd/mdb5-angular-ui-kit-pro-essential

but i get repository not found.

I also tried another attempt by logging in using mdb-login but I get the same.

Sorry – what am I doing wrong please?

Thanks


Grzegorz Bujański staff answered 1 year ago


If I understand correctly, you have purchased MDB Standard Essential and want to add it to your Angular project?

Unfortunately, we do not have a prepared manual on how to integrate MDB Standard with Angular. We have prepared the appropriate version of the package for Angular: https://mdbootstrap.com/docs/b5/angular/. You can try to add MDB Standard to your project with the command:

npm i git+https://oauth2:ACCESS_TOKEN@git.mdbootstrap.com/mdb/standard/mdb-ui-kit-pro-essential 

Then you need to add appropriate entries in angular.json to import js and css.


seanflood747 free commented 1 year ago

I have tried - 1) npm install git+https://oauth2:-ACCESS_TOKEN@git.mdbootstrap.com/mdb/angular/mdb5/prd/mdb5-angular-ui-kit-pro-essential --save

and i get - C:\Dev\Git\list-it-local\lil-mdb-portal>npm install git+https://oauth2:-ACCESS_TOKEN@git.mdbootstrap.com/mdb/angular/mdb5/prd/mdb5-angular-ui-kit-pro-essential --save(node:15816) ExperimentalWarning: The fs.promises API is experimentalnpm noticenpm notice New minor version of npm available! 7.6.1 -> 7.19.0npm notice Changelog: https://github.com/npm/cli/releases/tag/v7.19.0npm notice Run npm install -g npm@7.19.0 to update!npm noticenpm ERR! code 128npm ERR! command failednpm ERR! command git ls-remote https://oauth2:-ACCESS_TOKEN@git.mdbootstrap.com/mdb/angular/mdb5/prd/mdb5-angular-ui-kit-pro-essentialnpm ERR! remote: You are not allowed to download code.npm ERR! fatal: unable to access 'https://oauth2:-ACCESS_TOKEN@git.mdbootstrap.com/mdb/angular/mdb5/prd/mdb5-angular-ui-kit-pro-essential/': The requested URL returned error: 403

2) npm install git+https://oauth2:ACCESS_TOKEN@git.mdbootstrap.com/mdb/standard/mdb-ui-kit-pro-essential

and i get - C:\Dev\Git\list-it-local\lil-mdb-portal>npm install git+https://oauth2:MDt1KiXKsDSTqj6YtmC@git.mdbootstrap.com/mdb/standard/mdb-ui-kit-pro-essential(node:21188) ExperimentalWarning: The fs.promises API is experimentalnpm ERR! code 128npm ERR! command failednpm ERR! command git ls-remote https://oauth2:ACCESS_TOKEN@git.mdbootstrap.com/mdb/standard/mdb-ui-kit-pro-essentialnpm ERR! remote: HTTP Basic: Access deniednpm ERR! fatal: Authentication failed for 'https://oauth2:ACCESS_TOKEN@git.mdbootstrap.com/mdb/standard/mdb-ui-kit-pro-essential/'

i am logged into github as follows https://git.mdbootstrap.com/seanflood747

also the command above is different to you documentation which i tried in step 1.

I only have a few hours a week to do angular development and trying to integrate mdb pro into my project is taking far too long. I wonder if you would cancel my subscription and refund me please.

Thank you.


Grzegorz Bujański staff commented 1 year ago

It looks like you don't have git installed


seanflood747 free commented 1 year ago

I do have git installed.

C:\Dev\Git\list-it-local\code\lil-web-portal>git --version git version 2.15.1.windows.2

please let me have an email address that i can request a refund.

thank you


Grzegorz Bujański staff commented 1 year ago

You can write to contact@mdbootstrap.com



Please insert min. 20 characters.

FREE CONSULTATION

Hire our experts to build a dedicated project. We'll analyze your business requirements, for free.

Status

Answered

Specification of the issue

  • User: Free
  • Premium support: No
  • Technology: MDB Standard
  • MDB Version: MDB5 3.8.0
  • Device: laptop
  • Browser: chrome
  • OS: windows 10
  • Provided sample code: No
  • Provided link: Yes